DT-GETRRSET(1)

NAME
dt-getquery - command-line test program for the val_get_rrset() function

SYNOPSIS
   dt-getquery [options] name

DESCRIPTION
This utility is a command-line wrapper around the val_get_rrset() function. It invokes the val_get_rrset() function with the given command-line arguments and displays the returned data and the validated, trusted and non-existence status for each resource record set returned in the response. Any information about name aliases are also displayed. The trusted and validated status values are obtained using the val_istrusted() and val_isvalidated() functions from libval(3).

This program returns 0 on success and -1 on failure.

OPTIONS

-t <type>
    Perform the query for the given DNS record type

-o, --output=<debug-level>:<dest-type>[:<dest-options>]
    <debug-level> is 1-7, corresponding to syslog levels ALERT-DEBUG <dest-type> is one of file, net, syslog, stderr, stdout <dest-options> depends on <dest-type>
        file:<file-name> (opened in append mode)
        net[:<host-name>:<host-port>] (127.0.0.1:1053
        syslog[:facility] (0-23 (default 1 USER))

-h, --help
    Display the help and exit.

PRE-REQUISITES
libval

COPYRIGHT
Copyright 2005-2013 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHORS
Abhijit Hayatnagarkar, Suresh Krishnaswamy, Robert Story, Michael Baer

SEE ALSO
val_get_rrset(3)

libval(3)

http://www.dnssec-tools.org